/* Gets the character digitisation of Hershey table entry "char" */
/* Returns 1 if there is a valid entry */

#include "plplot.h"

extern SCHAR *fntbffr;
extern short int *fntindx;
extern short int indxleng;

#define STLEN     250

static SCHAR xygrid[STLEN];

int plcvec(ch,xygr)
int ch;
SCHAR **xygr;
{

   int k, ib;
   SCHAR x, y;

   ch--;
   if (ch < 0 || ch >= indxleng) return((int)0);
   ib = fntindx[ch]-2;
   if (ib == -2) return((int)0);

   k = 0;
   do {
     ib++;
     x = fntbffr[2*ib];
     y = fntbffr[2*ib+1];
     xygrid[k++]=x;
     xygrid[k++]=y;
   } while ((x != 64 || y != 64) && k <= (STLEN-2));

   *xygr = xygrid;
   return((int)1);
}

