/* In case of an error this routine is called.  It just prints out the
   error message and trys to clean up as much as possible.
   The user should write his/her own pl_exit() routine, if cleanup needs to
   be done in the user program. */

#include "plplot.h"
#include <stdio.h>

void plexit(errormsg)
char *errormsg;
{
   int level;
   void pl_exit();

   fprintf(stderr,"\n%s\n",errormsg);
   glev(&level);
   if(level > 0) grtidy();
   plfontrel();
   pl_exit();
   exit(1);
}

void pl_exit()
{
}
