#include "plplot.h"

extern short int *fntlkup;
extern short int numberfonts, numberchars;

static void plpoi1(x,y,code)
double x,y;
int code;
{
   int sym, font, col;

   /* Initialize parameters. */
   gatt(&font,&col);
   sym = *(fntlkup+(font-1)*numberchars+code);
   plhrsh(sym,wcpcx(x),wcpcy(y));
}

/* Plots single precision array y against x for n points using */
/* ASCII code "code" */
void plpoin(n,x,y,code)
int n, code;
FLOAT *x, *y;
{
      short int i;
      int level;

      glev(&level);
      if (level < 3) plexit("Please set up window before calling plpoin.");
      if (code < 0 || code > 127) plexit("Invalid code in plpoin.");

      for(i=0; i<n; i++)
        plpoi1(x[i],y[i],code);
}
