/*
  docgen  Objective C Document Generator
  Copyright (C) 1995  Bill Bereza.
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  Email:
  berezaw@river.it.gvsu.edu

  S-mail:
  Bill Bereza
  9526 Judson Rd.
  Ravenna, MI 49451-9427

  */
/* docgen	Objective C Document Generator
 * Copyright (c) 1994 Bill Bereza
 *
 *	$Log:	RTFcrap.h,v $
 * Revision 1.6  95/03/02  03:44:36  berezaw
 * using GNU regex library
 * rewrote recmp() as docgen_recmp()
 * added GPL stuff to each file
 * increase rev. to 0.1.9
 * 
 * Revision 1.5  95/01/30  13:31:56  berezaw
 * added fmakeul and funul
 * 
 * Revision 1.4  95/01/26  15:27:09  berezaw
 * added rtfproth for protocols
 * 
 * Revision 1.3  95/01/26  05:34:26  berezaw
 * changed fputmethodh to handle different types of methods
 * 
 * Revision 1.2  94/11/28  12:08:29  berezaw
 * *** empty log message ***
 * 
 *
 *	$Id: RTFcrap.h,v 1.6 95/03/02 03:44:36 berezaw Exp $
 */

#ifndef RTFCRAP_H
#define RTFCRAP_H

#include <stdio.h>

#define BOLD	"\\b "
#define UBOLD	"\\b0 "
#define IFSIZE	"\\fs28 "
#define IFEOL	'\\'

extern void fputconformh(FILE *, char *);
extern void fchfontsize(FILE *of, char sz);
extern void fputmethodl2(FILE *of);
extern void fputmethodl1(FILE *of);
extern void fputhead(FILE *of);
extern void fputcphead(FILE *of);
extern void fputline(FILE *of, char *line);
extern void fputeof(FILE *of);
extern void fmakebold(FILE *of);
extern void funitalic(FILE *of);
extern void fputmethdesc(FILE *of);
extern void fmakeitalic(FILE *of);
extern void funbold(FILE *of);
extern void fputfchar(FILE *of, char fn, char putthechar);
extern void fchangefont(FILE *of, char fn);
extern void fputstart(FILE *of);
extern void fputinherith(FILE *of);
extern void fputinheritt(FILE *of, char *dec);
extern void fputcath(FILE *of);
extern void fputcatt(FILE *of, char *dec);
extern void fputihead(FILE *of);
extern void fputmethodh(FILE *of, char *kindof);
extern void fputmethodtype(FILE *of);
extern void fputbold(FILE *of, char *line);
extern void fputivardesc(FILE *of);
extern void fmakeul(FILE *of);
extern void funul(FILE *of);

#endif /* RTFCRAP_H */
