/* Device dispatch table for UNIX */
#include "plplot.h"
#include "dispatch.h"

#ifndef NeXT
void xtesetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void xteorient PLARGS((int orient));
void xteselect PLARGS((FILE *file));
void xteinit PLARGS((void));
void xteline PLARGS((int x1, int y1, int x2, int y2));
void xteclear PLARGS((void));
void xtepage PLARGS((void));
void xteeop PLARGS((void));
void xtetidy PLARGS((void));
void xtecolor PLARGS((int color));
void xtetext PLARGS((void));
void xtegraph PLARGS((void));
void xtewidth PLARGS((int width));
void xtecwin PLARGS((void));
void xtegwin PLARGS((void));

void xfigsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void xfigorient PLARGS((int orient));
void xfigselect PLARGS((FILE *file));
void xfiginit PLARGS((void));
void xfigline PLARGS((int x1, int y1, int x2, int y2));
void xfigclear PLARGS((void));
void xfigpage PLARGS((void));
void xfigeop PLARGS((void));
void xfigtidy PLARGS((void));
void xfigcolor PLARGS((int color));
void xfigtext PLARGS((void));
void xfiggraph PLARGS((void));
void xfigwidth PLARGS((int width));
void xfigcwin PLARGS((void));
void xfiggwin PLARGS((void));

void tektsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void tekfsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void tektorient PLARGS((int orient));
void tekforient PLARGS((int orient));
void tektselect PLARGS((FILE *file));
void tekfselect PLARGS((FILE *file));
void tektinit PLARGS((void));
void tekfinit PLARGS((void));
void tekline PLARGS((int x1, int y1, int x2, int y2));
void tektclear PLARGS((void));
void tekfclear PLARGS((void));
void tekpage PLARGS((void));
void tekeop PLARGS((void));
void tekttidy PLARGS((void));
void tekftidy PLARGS((void));
void tekcolor PLARGS((int color));
void tektext PLARGS((void));
void tekgraph PLARGS((void));
void tekwidth PLARGS((int width));
void tekfcwin PLARGS((void));
void tekfgwin PLARGS((void));
void tekcwin PLARGS((void));
void tekgwin PLARGS((void));

void dgsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void dgorient PLARGS((int orient));
void dgselect PLARGS((FILE *file));
void dginit PLARGS((void));
void dgline PLARGS((int x1, int y1, int x2, int y2));
void dgclear PLARGS((void));
void dgpage PLARGS((void));
void dgeop PLARGS((void));
void dgtidy PLARGS((void));
void dgcolor PLARGS((int color));
void dgtext PLARGS((void));
void dggraph PLARGS((void));
void dgwidth PLARGS((int width));
void dgcwin PLARGS((void));
void dggwin PLARGS((void));

void hp7470setup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void hp7470orient PLARGS((int orient));
void hp7470select PLARGS((FILE *file));
void hp7470init PLARGS((void));
void hp7470line PLARGS((int x1, int y1, int x2, int y2));
void hp7470clear PLARGS((void));
void hp7470page PLARGS((void));
void hp7470eop PLARGS((void));
void hp7470tidy PLARGS((void));
void hp7470color PLARGS((int color));
void hp7470text PLARGS((void));
void hp7470graph PLARGS((void));
void hp7470width PLARGS((int width));
void hp7470cwin PLARGS((void));
void hp7470gwin PLARGS((void));

void hp7580setup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void hp7580orient PLARGS((int orient));
void hp7580select PLARGS((FILE *file));
void hp7580init PLARGS((void));
void hp7580line PLARGS((int x1, int y1, int x2, int y2));
void hp7580clear PLARGS((void));
void hp7580page PLARGS((void));
void hp7580eop PLARGS((void));
void hp7580tidy PLARGS((void));
void hp7580color PLARGS((int color));
void hp7580text PLARGS((void));
void hp7580graph PLARGS((void));
void hp7580width PLARGS((int width));
void hp7580cwin PLARGS((void));
void hp7580gwin PLARGS((void));

void impsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void imporient PLARGS((int orient));
void impselect PLARGS((FILE *file));
void impinit PLARGS((void));
void impline PLARGS((int x1, int y1, int x2, int y2));
void impclear PLARGS((void));
void imppage PLARGS((void));
void impeop PLARGS((void));
void imptidy PLARGS((void));
void impcolor PLARGS((int color));
void imptext PLARGS((void));
void impgraph PLARGS((void));
void impwidth PLARGS((int width));
void impcwin PLARGS((void));
void impgwin PLARGS((void));

void jetsetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void jetorient PLARGS((int orient));
void jetselect PLARGS((FILE *file));
void jetinit PLARGS((void));
void jetline PLARGS((int x1, int y1, int x2, int y2));
void jetclear PLARGS((void));
void jetpage PLARGS((void));
void jeteop PLARGS((void));
void jettidy PLARGS((void));
void jetcolor PLARGS((int color));
void jettext PLARGS((void));
void jetgraph PLARGS((void));
void jetwidth PLARGS((int width));
void jetcwin PLARGS((void));
void jetgwin PLARGS((void));
#endif   /* non-NeXT stuff */

void pssetup PLARGS((double xdpi, double ydpi, int xsize, int ysize));
void psorient PLARGS((int orient));
void psselect PLARGS((FILE *file));
void psinit PLARGS((void));
void psline PLARGS((int x1, int y1, int x2, int y2));
void psclear PLARGS((void));
void pspage PLARGS((void));
void pseop PLARGS((void));
void pstidy PLARGS((void));
void pscolor PLARGS((int color));
void pstext PLARGS((void));
void psgraph PLARGS((void));
void pswidth PLARGS((int width));
void pscwin PLARGS((void));
void psgwin PLARGS((void));

DISPATCH_TABLE plDispatchTable[] = {
#ifndef NeXT
   /* Xterm routines */
   {
      /* This string appears in the device menu list. */
      "Xterm Window",
      /* Page Setup routine */
      xtesetup,
      /* orientation specification */
      xteorient,
      /* File pointer specification */
      xteselect,
      /* Device initialization function pointer. */
      xteinit,
      /* Function to draw line between two points */
      xteline,
      /* Clear screen (or eject page) function. */
      xteclear,
      /* New page set up. */
      xtepage,
      /* End of old page. */
      xteeop,
      /* Tidy up device (flush buffers, close file, etc.) */
      xtetidy,
      /* Function to change pen color. */
      xtecolor,
      /* Switch to text mode. */
      xtetext,
      /* Switch to graphics mode. */
      xtegraph,
      /* Set pen width */
      xtewidth,
      /* Switch to command window */
      xtecwin,
      /* Switch to graphics window */
      xtegwin
   },
   {
      "Tektronix Terminal",
      tektsetup,
      tektorient,
      tektselect,
      tektinit,
      tekline,
      tektclear,
      tekpage,
      tekeop,
      tekttidy,
      tekcolor,
      tektext,
      tekgraph,
      tekwidth,
      tekcwin,
      tekgwin
   },
   {
      "DG300 Terminal",
      dgsetup,
      dgorient,
      dgselect,
      dginit,
      dgline,
      dgclear,
      dgpage,
      dgeop,
      dgtidy,
      dgcolor,
      dgtext,
      dggraph,
      dgwidth,
      dgcwin,
      dggwin
   },
   {
      "HP 7470 Plotter File (HPGL Cartridge, Small Plotter)",
      hp7470setup,
      hp7470orient,
      hp7470select,
      hp7470init,
      hp7470line,
      hp7470clear,
      hp7470page,
      hp7470eop,
      hp7470tidy,
      hp7470color,
      hp7470text,
      hp7470graph,
      hp7470width,
      hp7470cwin,
      hp7470gwin
   },
   {
      "HP 7580 Plotter File (Large Plotter)",
      hp7580setup,
      hp7580orient,
      hp7580select,
      hp7580init,
      hp7580line,
      hp7580clear,
      hp7580page,
      hp7580eop,
      hp7580tidy,
      hp7580color,
      hp7580text,
      hp7580graph,
      hp7580width,
      hp7580cwin,
      hp7580gwin
   },
   {
      "Impress File",
      impsetup,
      imporient,
      impselect,
      impinit,
      impline,
      impclear,
      imppage,
      impeop,
      imptidy,
      impcolor,
      imptext,
      impgraph,
      impwidth,
      impcwin,
      impgwin
   },
   {
      "Tektronix File",
      tekfsetup,
      tekforient,
      tekfselect,
      tekfinit,
      tekline,
      tekfclear,
      tekpage,
      tekeop,
      tekftidy,
      tekcolor,
      tektext,
      tekgraph,
      tekwidth,
      tekfcwin,
      tekfgwin
   },
   {
      "LaserJet II Bitmap File (150 dpi)",
      jetsetup,
      jetorient,
      jetselect,
      jetinit,
      jetline,
      jetclear,
      jetpage,
      jeteop,
      jettidy,
      jetcolor,
      jettext,
      jetgraph,
      jetwidth,
      jetcwin,
      jetgwin
   },
#endif
   {
      "PostScript File",
      pssetup,
      psorient,
      psselect,
      psinit,
      psline,
      psclear,
      pspage,
      pseop,
      pstidy,
      pscolor,
      pstext,
      psgraph,
      pswidth,
      pscwin,
      psgwin
   },
#ifndef NeXT
   {
      "XFIG file",
      xfigsetup,
      xfigorient,
      xfigselect,
      xfiginit,
      xfigline,
      xfigclear,
      xfigpage,
      xfigeop,
      xfigtidy,
      xfigcolor,
      xfigtext,
      xfiggraph,
      xfigwidth,
      xfigcwin,
      xfiggwin
   },
#endif
};

int npldrivers = (sizeof(plDispatchTable)/sizeof(struct dispatch_table));
