#include "plplot.h"

static void plsym1(x,y,code)
double x,y;
int code;
{
      plhrsh(code,wcpcx(x),wcpcy(y));
}

/* Plots single precision array y against x for n points using */
/* Hershey symbol "code" */
void plsym(n,x,y,code)
int n, code;
FLOAT *x,*y;
{
      short int i;
      int level;

      glev(&level);
      if (level < 3) plexit("Please set up window before calling plsym.");
      if (code < 0) plexit("Invalid code in plsym.");

      for (i=0; i<n; i++)
        plsym1((double)x[i],(double)y[i],code);
}
